using System;
using System.Collections;
using Server;

namespace Server.Mobiles
{
	public class CarpentryGuildmaster : BaseGuildmaster
	{
		public override NpcGuild NpcGuild{ get{ return NpcGuild.CarpentryGuild; } }

		[Constructable]
		public CarpentryGuildmaster() : base( "carpentry" )
		{
			SetSkill( SkillName.Bludgeoning, 36.0, 68.0 );
			SetSkill( SkillName.Parry, 36.0, 68.0 );
		}

		public override void InitSBInfo()
		{
			SBInfos.Add( new SBStavesWeapon() );
			SBInfos.Add( new SBCarpenter() );
			SBInfos.Add( new SBWoodenShields() );
			SBInfos.Add( new SBGuildCarpenter() );
		}

		public CarpentryGuildmaster( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}